/*
 * 2004-10-22 Фݼ 
 */
package org.vivianj.eclipse.plugin.buildfile.listener;

import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Tree;
import org.eclipse.swt.widgets.TreeItem;
import org.vivianj.eclipse.plugin.buildfile.group.RightGroup;
import org.vivianj.eclipse.plugin.buildfile.util.ControlDispose;
import org.vivianj.eclipse.plugin.buildfile.util.GroupFactory;
/**
 *  
 */
public class ProjectTreeSelectionListener implements SelectionListener {
	/** ʾ */
	private Tree tree;
	/** Ұ벿ʾ */
	private Group group;

	private TreeItem selection = null;
	public ProjectTreeSelectionListener() {

	}

	public ProjectTreeSelectionListener(Tree p_tree, 
			Group p_group) {
		this.tree = p_tree;
		
		this.group = p_group;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see javax.swing.event.TreeSelectionListener#valueChanged(javax.swing.event.TreeSelectionEvent)
	 */
	public void widgetSelected(SelectionEvent arg0) {
		TreeItem treeItem[] = this.tree.getSelection();
		int i = this.tree.getSelectionCount();
		if (i > 0) {
			selection = treeItem[0];
			Object o = selection.getData();

			//еĿؼ
			ControlDispose.disposeControls(this.group);

			//µ
			this.createGroup(o);
		}

	}

	public void widgetDefaultSelected(SelectionEvent arg0) {
		//this.widgetSelected(arg0);
	}



	private void createGroup(Object o) {
//		µ
		RightGroup rightGroup = GroupFactory.getGroup(o, this.group,this.selection);
		rightGroup.createPanel(RightGroup.UPDATE);
//      ˢ½		
		this.redraw();
	}
	
	private void redraw(){
		this.group.layout();
		this.group.getParent().layout();
	}
}