/*
 * 2004-10-22 Фݼ 
 */
package org.vivianj.eclipse.plugin.buildfile.util;

import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.TreeItem;
import org.vivianj.eclipse.plugin.buildfile.data.Project;
import org.vivianj.eclipse.plugin.buildfile.data.target.Property;
import org.vivianj.eclipse.plugin.buildfile.data.target.Target;
import org.vivianj.eclipse.plugin.buildfile.group.ProjectGroup;
import org.vivianj.eclipse.plugin.buildfile.group.RightGroup;
import org.vivianj.eclipse.plugin.buildfile.group.target.PropertyGroup;
import org.vivianj.eclipse.plugin.buildfile.group.target.TargetGroup;

/**
 *  
 */
public class GroupFactory {
	public static RightGroup getGroup(Object o, Group group, TreeItem treeItem) {
		RightGroup rightGroup = null;
		if (o instanceof Project)
			return new ProjectGroup(group, (Project) o,treeItem);
		else if (o instanceof Target)
			return new TargetGroup(group, (Target) o,treeItem);
		else if (o instanceof Property)
			return new PropertyGroup(group, (Property) o,treeItem);
		return rightGroup;
	}
}