/*
 * 2004-10-24 Фݼ 
 */
package org.vivianj.eclipse.plugin.buildfile.data.target;

import org.jdom.Element;
import org.vivianj.eclipse.plugin.buildfile.data.Data;
import org.vivianj.eclipse.plugin.buildfile.util.StringUtil;

/**
 * 
 */
public class Property extends Data {
	private String value = "";
	private String location = "";
	private String refid = "";
	private String resource = "";
	private String file = "";
	private String environment = "";
	private String classpath = "";
	private String classpathref = "";
	private String prefix = "";
	
	public Property() {
	}

	public Property(Element element) {
		String p_name = element.getAttributeValue("name");
		String p_location = element.getAttributeValue("location");;
		String p_refid = element.getAttributeValue("refid");;
		String p_resource = element.getAttributeValue("resource");;
		String p_file = element.getAttributeValue("file");;
		String p_environment = element.getAttributeValue("environment");;
		String p_classpath = element.getAttributeValue("classpath");;
		String p_classpathref = element.getAttributeValue("classpathref");;
		String p_prefix = element.getAttributeValue("prefix");;

		this.setName(p_name);
		this.setLocation(p_location);
		this.setRefid(p_refid);
		this.setResource(p_resource);
		this.setFile(p_file);
		this.setEnvironment(p_environment);
		this.setClasspath(p_classpath);
		this.setClasspathref(p_classpathref);
		this.setPrefix(p_prefix);
	}
	
	public String getClasspath() {
		return classpath;
	}
	public void setClasspath(String classpath) {
		this.classpath = StringUtil.replaceNull(classpath);
	}
	public String getClasspathref() {
		return classpathref;
	}
	public void setClasspathref(String classpathref) {
		this.classpathref = StringUtil.replaceNull(classpathref);
	}
	public String getEnvironment() {
		return environment;
	}
	public void setEnvironment(String environment) {
		this.environment = StringUtil.replaceNull(environment);
	}
	public String getFile() {
		return file;
	}
	public void setFile(String file) {
		this.file = StringUtil.replaceNull(file);
	}
	public String getLocation() {
		return location;
	}
	public void setLocation(String location) {
		this.location = StringUtil.replaceNull(location);
	}
	public String getPrefix() {
		return prefix;
	}
	public void setPrefix(String prefix) {
		this.prefix = StringUtil.replaceNull(prefix);
	}
	public String getRefid() {
		return refid;
	}
	public void setRefid(String refid) {
		this.refid = StringUtil.replaceNull(refid);
	}
	public String getResource() {
		return resource;
	}
	public void setResource(String resource) {
		this.resource = StringUtil.replaceNull(resource);
	}
	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = StringUtil.replaceNull(value);
	}
	
	public String getOpenElement() {
		String result = "<property";
		if (!StringUtil.isNull(this.getName()))
			result = result + " name=\"" + this.getName() + "\"";
		if (!StringUtil.isNull(this.value))
			result = result + " value=\"" + this.value + "\"";
		if (!StringUtil.isNull(this.location))
			result = result + " location=\"" + this.location + "\"";
		if (!StringUtil.isNull(this.refid))
			result = result + " refid=\"" + this.refid + "\"";
		if (!StringUtil.isNull(this.resource))
			result = result + " resource=\"" + this.resource + "\"";
		if (!StringUtil.isNull(this.file))
			result = result + " file=\"" + this.file + "\"";
		if (!StringUtil.isNull(this.environment))
			result = result + " environment=\"" + this.environment + "\"";
		if (!StringUtil.isNull(this.classpath))
			result = result + " classpath=\"" + this.classpath + "\"";
		if (!StringUtil.isNull(this.classpathref))
			result = result + " classpathref=\"" + this.classpathref + "\"";
		if (!StringUtil.isNull(this.prefix))
			result = result + " prefix=\"" + this.prefix + "\"";
		result = result + " >";
		return result;
	}

	public String getCloseElement() {
		String result = "</property>";
		return result;
	}
}
