/*
 * 2004-10-22 Фݼ 
 */
package org.vivianj.eclipse.plugin.buildfile.util;

import org.vivianj.eclipse.plugin.buildfile.data.Data;
import org.vivianj.eclipse.plugin.buildfile.data.target.Property;
import org.vivianj.eclipse.plugin.buildfile.data.target.Target;
import org.vivianj.eclipse.plugin.buildfile.data.task.Task;

/**
 * 
 */
public class DataFactory {
	public final static String TARGET = "target";
	public final static String PROPERTIES = "propeties";
	public final static String TASK = "task";
	
	public static Data getDefault(String key){
		Data data = null;
		if(key.equals(DataFactory.TARGET)){
			data = DataFactory.getDafaultTarget();
		}else if(key.equals(DataFactory.PROPERTIES)){
			data = DataFactory.getDafaultProperty();
		}
		else{
			data = DataFactory.getDafaultTask(key);
		}
		return data;
	}
	public static Target getDafaultTarget(){
		Target target = new Target();
		target.setName("new target");
		return target;
	}
	public static Property getDafaultProperty(){
		Property property = new Property();
		property.setName("new property");
		return property;
	}
	
	public static Task getDafaultTask(String key){
		Task task = new Task();
		task.setName(key.trim());
		return task;
	}
}
